Receive Rtgs/Imt Status
POST
https://api.mpay.com.au/INBOUNDRTGSIMTSTATUSEVENTWEBHOOK_TARGET_URL
Header Parameters
- AuthorisationstringExampleDescriptionDefault******Pattern^[\x20-\x7E]{1,512}$
- Verification-SignaturestringExampleDescriptionDefaulte+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=Pattern^[A-Za-z0-9+/]+={0,2}$
- Webhookidinteger<int64>ExampleDescriptionDefault1234567Formatint64
Body Parameters
- bodyWebhookInboundRtgsImtNotificationrequiredExample
{ "TransactionId": "884231705", "TransactionReferenceNumber": "FT26091012345678", "Date": "2026-09-10", "ProcessedDateTime": "2026-09-10T14:32:11", "Amount": "150.00", "Status": "Cleared", "AccountNumber": "300000123", "AccountName": "Acme Pty Ltd", "BSB": "802-985", "LodgementRef": "ACME INV 10023", "SourceDetails": "PAYMENT FOR SERVICES RENDERED", "SendingOrganisation": "Global Remit Ltd", "ReceivingOrganisation": "Acme Pty Ltd", "OrderingInstitution": "HSBC BANK AUSTRALIA LIMITED", "OriginatingAddress": "12 George St, Sydney NSW 2000, AU", "RejectReasonDescription": "Beneficiary account closed", "LedgerAccountNumber": "4210000012345678", "LedgerUniqueReference": "ACME-LEDGER-0007" }Description- TransactionIdstringExampleDescriptionDefault884231705Pattern^\d{1,19}$
- TransactionReferenceNumberstringExampleDescriptionDefaultFT26091012345678Pattern^[A-Za-z0-9\-\/]{1,35}$
- DatestringExampleDescriptionDefault2026-09-10Pattern^\d{4}-\d{2}-\d{2}$
- ProcessedDateTimestringExampleDescriptionDefault2026-09-10T14:32:11Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
- AmountstringExampleDescriptionDefault150.00Pattern^\d{1,13}\.\d{2}$
- StatusstringExampleDescriptionDefaultClearedPattern^[A-Za-z ]{1,40}$
- AccountNumberstringExampleDescriptionDefault300000123Pattern^\d{5,10}$
- AccountNamestringExampleDescriptionDefaultAcme Pty LtdPattern^.{0,140}$
- BSBstringExampleDescriptionDefault802-985Pattern^\d{3}-?\d{3}$
- LodgementRefstringExampleDescriptionDefaultACME INV 10023Pattern^.{0,18}$
- SourceDetailsstringExampleDescriptionDefaultPAYMENT FOR SERVICES RENDEREDPattern^.{0,280}$
- SendingOrganisationstringExampleDescriptionDefaultGlobal Remit LtdPattern^.{0,140}$
- ReceivingOrganisationstringExampleDescriptionDefaultAcme Pty LtdPattern^.{0,140}$
- OrderingInstitutionstringExampleDescriptionDefaultHSBC BANK AUSTRALIA LIMITEDPattern^.{0,140}$
- OriginatingAddressstringExampleDescriptionDefault12 George St, Sydney NSW 2000, AUPattern^.{0,280}$
- RejectReasonDescriptionstringExampleDescriptionDefaultBeneficiary account closedPattern^.{1,280}$
- LedgerAccountNumberstringExampleDescriptionDefault4210000012345678Pattern^\d{16}$
- LedgerUniqueReferencestringExampleDescriptionDefaultACME-LEDGER-0007Pattern^.{1,64}$
Responses
200
- WebhookAcknowledgementExample
{ "status": "Received", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Received>ExampleDescriptionDefaultReceivedAllowedReceivedPattern^Received$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
400
- WebhookErrorResponseExample
{ "status": "Rejected", "errorCode": "INVALID_PAYLOAD", "errorMessage": "Field 'Amount' is not a valid decimal value.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
401
- WebhookErrorResponseExample
{ "status": "Unauthorised", "errorCode": "SIGNATURE_VERIFICATION_FAILED", "errorMessage": "Verification-Signature did not match the Monoova public key.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
500
- WebhookErrorResponseExample
{ "status": "Error", "errorCode": "DOWNSTREAM_UNAVAILABLE", "errorMessage": "Ledger service unavailable; retry delivery.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
curl
curl --request POST \
--url https://api.mpay.com.au/INBOUNDRTGSIMTSTATUSEVENTWEBHOOK_TARGET_URL \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'authorisation: ******' \
--header 'verification-signature: e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=' \
--header 'webhookid: 1234567' \
--data '{
"TransactionId": "884231705",
"TransactionReferenceNumber": "FT26091012345678",
"Date": "2026-09-10",
"ProcessedDateTime": "2026-09-10T14:32:11",
"Amount": "150.00",
"Status": "Cleared",
"AccountNumber": "300000123",
"AccountName": "Acme Pty Ltd",
"BSB": "802-985",
"LodgementRef": "ACME INV 10023",
"SourceDetails": "PAYMENT FOR SERVICES RENDERED",
"SendingOrganisation": "Global Remit Ltd",
"ReceivingOrganisation": "Acme Pty Ltd",
"OrderingInstitution": "HSBC BANK AUSTRALIA LIMITED",
"OriginatingAddress": "12 George St, Sydney NSW 2000, AU",
"RejectReasonDescription": "Beneficiary account closed",
"LedgerAccountNumber": "4210000012345678",
"LedgerUniqueReference": "ACME-LEDGER-0007"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorisation", "******");
myHeaders.append("verification-signature", "e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=");
myHeaders.append("webhookid", "1234567");
var raw = JSON.stringify({
"TransactionId": "884231705",
"TransactionReferenceNumber": "FT26091012345678",
"Date": "2026-09-10",
"ProcessedDateTime": "2026-09-10T14:32:11",
"Amount": "150.00",
"Status": "Cleared",
"AccountNumber": "300000123",
"AccountName": "Acme Pty Ltd",
"BSB": "802-985",
"LodgementRef": "ACME INV 10023",
"SourceDetails": "PAYMENT FOR SERVICES RENDERED",
"SendingOrganisation": "Global Remit Ltd",
"ReceivingOrganisation": "Acme Pty Ltd",
"OrderingInstitution": "HSBC BANK AUSTRALIA LIMITED",
"OriginatingAddress": "12 George St, Sydney NSW 2000, AU",
"RejectReasonDescription": "Beneficiary account closed",
"LedgerAccountNumber": "4210000012345678",
"LedgerUniqueReference": "ACME-LEDGER-0007"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.mpay.com.au/INBOUNDRTGSIMTSTATUSEVENTWEBHOOK_TARGET_URL", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.mpay.com.au/INBOUNDRTGSIMTSTATUSEVENTWEBHOOK_TARGET_URL")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorisation"] = "******"
request["verification-signature"] = "e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak="
request["webhookid"] = "1234567"
request.body = JSON.dump({
"TransactionId": "884231705",
"TransactionReferenceNumber": "FT26091012345678",
"Date": "2026-09-10",
"ProcessedDateTime": "2026-09-10T14:32:11",
"Amount": "150.00",
"Status": "Cleared",
"AccountNumber": "300000123",
"AccountName": "Acme Pty Ltd",
"BSB": "802-985",
"LodgementRef": "ACME INV 10023",
"SourceDetails": "PAYMENT FOR SERVICES RENDERED",
"SendingOrganisation": "Global Remit Ltd",
"ReceivingOrganisation": "Acme Pty Ltd",
"OrderingInstitution": "HSBC BANK AUSTRALIA LIMITED",
"OriginatingAddress": "12 George St, Sydney NSW 2000, AU",
"RejectReasonDescription": "Beneficiary account closed",
"LedgerAccountNumber": "4210000012345678",
"LedgerUniqueReference": "ACME-LEDGER-0007"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.mpay.com.au/INBOUNDRTGSIMTSTATUSEVENTWEBHOOK_TARGET_URL"
payload = json.dumps({
"TransactionId": "884231705",
"TransactionReferenceNumber": "FT26091012345678",
"Date": "2026-09-10",
"ProcessedDateTime": "2026-09-10T14:32:11",
"Amount": "150.00",
"Status": "Cleared",
"AccountNumber": "300000123",
"AccountName": "Acme Pty Ltd",
"BSB": "802-985",
"LodgementRef": "ACME INV 10023",
"SourceDetails": "PAYMENT FOR SERVICES RENDERED",
"SendingOrganisation": "Global Remit Ltd",
"ReceivingOrganisation": "Acme Pty Ltd",
"OrderingInstitution": "HSBC BANK AUSTRALIA LIMITED",
"OriginatingAddress": "12 George St, Sydney NSW 2000, AU",
"RejectReasonDescription": "Beneficiary account closed",
"LedgerAccountNumber": "4210000012345678",
"LedgerUniqueReference": "ACME-LEDGER-0007"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorisation': '******',
'verification-signature': 'e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=',
'webhookid': '1234567'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success. The notification passed validation and your endpoint has accepted responsibility for it. Return this as soon as the payload is persisted — do not wait for downstream processing. Monoova treats any 2xx as a successful delivery and will not retry.
{
"status": "Received",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}400
// Bad Request. The notification could not be parsed, or a field failed your validation. Monoova will not retry a notification that is rejected with a 400, so return it only for a genuinely malformed payload — never for a transient fault on your side.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}401
// Unauthorised. The Authorisation header was missing or did not match the value registered on the subscription, or the Verification-Signature header failed SHA256 verification against the Monoova public key. Return this without processing the payload.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}500
// Internal Server Error. Your endpoint accepted the notification but could not process it because of a fault on your side. Monoova retries a notification that fails with a 5xx, so return this — rather than a 400 — whenever the failure is transient and a redelivery could succeed.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}